@file:JvmName("_TableInlineConstructorsKt")

package ru.landgrafhomyak.db.serdha0.user_commons.construction

import kotlin.jvm.JvmName
import ru.landgrafhomyak.db.serdha0.api.module.CreateModuleScope
import ru.landgrafhomyak.db.serdha0.api.module.Module
import ru.landgrafhomyak.db.serdha0.api.module.Namespace
import ru.landgrafhomyak.db.serdha0.api.table.Table
import ru.landgrafhomyak.db.serdha0.api.table.TableConstructor


public open class InlineTableConstructor0<tUE : Any>(
	private val constructor: (TableConstructor.Scope<tUE>) -> tUE
) : TableConstructor<tUE> {
	override fun createTable(context: TableConstructor.Scope<tUE>): tUE {
		return this.constructor(context)
	}
}

public fun <tUE : Any> CreateModuleScope.createTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>) -> tUE
): Table<tUE, Nothing> =
	this.createTable(namespace, name, InlineTableConstructor0(constructor))

public fun <tUE : Any> CreateModuleScope.createSessionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>) -> tUE
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(namespace, name, InlineTableConstructor0(constructor))

public fun <tUE : Any> CreateModuleScope.createTransactionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>) -> tUE
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(namespace, name, InlineTableConstructor0(constructor))

public fun <tUE : Any> CreateModuleScope.createModuleConfiguringScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>) -> tUE
): Table<tUE, Nothing> =
	this.createModuleConfiguringScopeTemporaryTable(namespace, name, InlineTableConstructor0(constructor))


public fun <tUE : Any> Module<*>.createSessionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>) -> tUE
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(name, InlineTableConstructor0(constructor))

public fun <tUE : Any> Module<*>.createTransactionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>) -> tUE
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(name, InlineTableConstructor0(constructor))

public open class InlineTableConstructor1<tUE : Any, A1>(
	private val constructor: (TableConstructor.Scope<tUE>, A1) -> tUE,
	private val a1: A1
) : TableConstructor<tUE> {
	override fun createTable(context: TableConstructor.Scope<tUE>): tUE {
		return this.constructor(context, this.a1)
	}
}

public fun <tUE : Any, A1> CreateModuleScope.createTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1) -> tUE,
	a1: A1
): Table<tUE, Nothing> =
	this.createTable(namespace, name, InlineTableConstructor1(constructor, a1))

public fun <tUE : Any, A1> CreateModuleScope.createSessionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1) -> tUE,
	a1: A1
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(namespace, name, InlineTableConstructor1(constructor, a1))

public fun <tUE : Any, A1> CreateModuleScope.createTransactionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1) -> tUE,
	a1: A1
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(namespace, name, InlineTableConstructor1(constructor, a1))

public fun <tUE : Any, A1> CreateModuleScope.createModuleConfiguringScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1) -> tUE,
	a1: A1
): Table<tUE, Nothing> =
	this.createModuleConfiguringScopeTemporaryTable(namespace, name, InlineTableConstructor1(constructor, a1))

public fun <tUE : Any, A1> Module<*>.createSessionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1) -> tUE,
	a1: A1
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(name, InlineTableConstructor1(constructor, a1))

public fun <tUE : Any, A1> Module<*>.createTransactionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1) -> tUE,
	a1: A1
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(name, InlineTableConstructor1(constructor, a1))

public open class InlineTableConstructor2<tUE : Any, A1, A2>(
	private val constructor: (TableConstructor.Scope<tUE>, A1, A2) -> tUE,
	private val a1: A1, private val a2: A2,
) : TableConstructor<tUE> {
	override fun createTable(context: TableConstructor.Scope<tUE>): tUE {
		return this.constructor(context, this.a1, this.a2)
	}
}

public fun <tUE : Any, A1, A2> CreateModuleScope.createTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2) -> tUE,
	a1: A1, a2: A2
): Table<tUE, Nothing> =
	this.createTable(namespace, name, InlineTableConstructor2(constructor, a1, a2))

public fun <tUE : Any, A1, A2> CreateModuleScope.createSessionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2) -> tUE,
	a1: A1, a2: A2
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(namespace, name, InlineTableConstructor2(constructor, a1, a2))

public fun <tUE : Any, A1, A2> CreateModuleScope.createTransactionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2) -> tUE,
	a1: A1, a2: A2
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(namespace, name, InlineTableConstructor2(constructor, a1, a2))

public fun <tUE : Any, A1, A2> CreateModuleScope.createModuleConfiguringScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2) -> tUE,
	a1: A1, a2: A2
): Table<tUE, Nothing> =
	this.createModuleConfiguringScopeTemporaryTable(namespace, name, InlineTableConstructor2(constructor, a1, a2))

public fun <tUE : Any, A1, A2> Module<*>.createSessionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2) -> tUE,
	a1: A1, a2: A2
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(name, InlineTableConstructor2(constructor, a1, a2))

public fun <tUE : Any, A1, A2> Module<*>.createTransactionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2) -> tUE,
	a1: A1, a2: A2
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(name, InlineTableConstructor2(constructor, a1, a2))

public open class InlineTableConstructor3<tUE : Any, A1, A2, A3>(
	private val constructor: (TableConstructor.Scope<tUE>, A1, A2, A3) -> tUE,
	private val a1: A1, private val a2: A2, private val a3: A3,
) : TableConstructor<tUE> {
	override fun createTable(context: TableConstructor.Scope<tUE>): tUE {
		return this.constructor(context, this.a1, this.a2, this.a3)
	}
}

public fun <tUE : Any, A1, A2, A3> CreateModuleScope.createTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3) -> tUE,
	a1: A1, a2: A2, a3: A3
): Table<tUE, Nothing> =
	this.createTable(namespace, name, InlineTableConstructor3(constructor, a1, a2, a3))

public fun <tUE : Any, A1, A2, A3> CreateModuleScope.createSessionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3) -> tUE,
	a1: A1, a2: A2, a3: A3
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(namespace, name, InlineTableConstructor3(constructor, a1, a2, a3))

public fun <tUE : Any, A1, A2, A3> CreateModuleScope.createTransactionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3) -> tUE,
	a1: A1, a2: A2, a3: A3
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(namespace, name, InlineTableConstructor3(constructor, a1, a2, a3))

public fun <tUE : Any, A1, A2, A3> CreateModuleScope.createModuleConfiguringScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3) -> tUE,
	a1: A1, a2: A2, a3: A3
): Table<tUE, Nothing> =
	this.createModuleConfiguringScopeTemporaryTable(namespace, name, InlineTableConstructor3(constructor, a1, a2, a3))

public fun <tUE : Any, A1, A2, A3> Module<*>.createSessionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3) -> tUE,
	a1: A1, a2: A2, a3: A3
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(name, InlineTableConstructor3(constructor, a1, a2, a3))

public fun <tUE : Any, A1, A2, A3> Module<*>.createTransactionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3) -> tUE,
	a1: A1, a2: A2, a3: A3
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(name, InlineTableConstructor3(constructor, a1, a2, a3))

public open class InlineTableConstructor4<tUE : Any, A1, A2, A3, A4>(
	private val constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4) -> tUE,
	private val a1: A1, private val a2: A2, private val a3: A3, private val a4: A4
) : TableConstructor<tUE> {
	override fun createTable(context: TableConstructor.Scope<tUE>): tUE {
		return this.constructor(context, this.a1, this.a2, this.a3, this.a4)
	}
}

public fun <tUE : Any, A1, A2, A3, A4> CreateModuleScope.createTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4
): Table<tUE, Nothing> =
	this.createTable(namespace, name, InlineTableConstructor4(constructor, a1, a2, a3, a4))

public fun <tUE : Any, A1, A2, A3, A4> CreateModuleScope.createSessionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(namespace, name, InlineTableConstructor4(constructor, a1, a2, a3, a4))

public fun <tUE : Any, A1, A2, A3, A4> CreateModuleScope.createTransactionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(namespace, name, InlineTableConstructor4(constructor, a1, a2, a3, a4))

public fun <tUE : Any, A1, A2, A3, A4> CreateModuleScope.createModuleConfiguringScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4
): Table<tUE, Nothing> =
	this.createModuleConfiguringScopeTemporaryTable(namespace, name, InlineTableConstructor4(constructor, a1, a2, a3, a4))

public fun <tUE : Any, A1, A2, A3, A4> Module<*>.createSessionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(name, InlineTableConstructor4(constructor, a1, a2, a3, a4))

public fun <tUE : Any, A1, A2, A3, A4> Module<*>.createTransactionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(name, InlineTableConstructor4(constructor, a1, a2, a3, a4))


public open class InlineTableConstructor5<tUE : Any, A1, A2, A3, A4, A5>(
	private val constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5) -> tUE,
	private val a1: A1, private val a2: A2, private val a3: A3, private val a4: A4, private val a5: A5
) : TableConstructor<tUE> {
	override fun createTable(context: TableConstructor.Scope<tUE>): tUE {
		return this.constructor(context, this.a1, this.a2, this.a3, this.a4, this.a5)
	}
}

public fun <tUE : Any, A1, A2, A3, A4, A5> CreateModuleScope.createTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5
): Table<tUE, Nothing> =
	this.createTable(namespace, name, InlineTableConstructor5(constructor, a1, a2, a3, a4, a5))

public fun <tUE : Any, A1, A2, A3, A4, A5> CreateModuleScope.createSessionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(namespace, name, InlineTableConstructor5(constructor, a1, a2, a3, a4, a5))

public fun <tUE : Any, A1, A2, A3, A4, A5> CreateModuleScope.createTransactionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(namespace, name, InlineTableConstructor5(constructor, a1, a2, a3, a4, a5))

public fun <tUE : Any, A1, A2, A3, A4, A5> CreateModuleScope.createModuleConfiguringScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5
): Table<tUE, Nothing> =
	this.createModuleConfiguringScopeTemporaryTable(namespace, name, InlineTableConstructor5(constructor, a1, a2, a3, a4, a5))

public fun <tUE : Any, A1, A2, A3, A4, A5> Module<*>.createSessionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(name, InlineTableConstructor5(constructor, a1, a2, a3, a4, a5))

public fun <tUE : Any, A1, A2, A3, A4, A5> Module<*>.createTransactionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(name, InlineTableConstructor5(constructor, a1, a2, a3, a4, a5))


public open class InlineTableConstructor6<tUE : Any, A1, A2, A3, A4, A5, A6>(
	private val constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6) -> tUE,
	private val a1: A1, private val a2: A2, private val a3: A3, private val a4: A4, private val a5: A5, private val a6: A6
) : TableConstructor<tUE> {
	override fun createTable(context: TableConstructor.Scope<tUE>): tUE {
		return this.constructor(context, this.a1, this.a2, this.a3, this.a4, this.a5, this.a6)
	}
}

public fun <tUE : Any, A1, A2, A3, A4, A5, A6> CreateModuleScope.createTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6
): Table<tUE, Nothing> =
	this.createTable(namespace, name, InlineTableConstructor6(constructor, a1, a2, a3, a4, a5, a6))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6> CreateModuleScope.createSessionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(namespace, name, InlineTableConstructor6(constructor, a1, a2, a3, a4, a5, a6))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6> CreateModuleScope.createTransactionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(namespace, name, InlineTableConstructor6(constructor, a1, a2, a3, a4, a5, a6))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6> CreateModuleScope.createModuleConfiguringScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6
): Table<tUE, Nothing> =
	this.createModuleConfiguringScopeTemporaryTable(namespace, name, InlineTableConstructor6(constructor, a1, a2, a3, a4, a5, a6))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6> Module<*>.createSessionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(name, InlineTableConstructor6(constructor, a1, a2, a3, a4, a5, a6))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6> Module<*>.createTransactionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(name, InlineTableConstructor6(constructor, a1, a2, a3, a4, a5, a6))

public open class InlineTableConstructor7<tUE : Any, A1, A2, A3, A4, A5, A6, A7>(
	private val constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7) -> tUE,
	private val a1: A1, private val a2: A2, private val a3: A3, private val a4: A4, private val a5: A5, private val a6: A6, private val a7: A7
) : TableConstructor<tUE> {
	override fun createTable(context: TableConstructor.Scope<tUE>): tUE {
		return this.constructor(context, this.a1, this.a2, this.a3, this.a4, this.a5, this.a6, this.a7)
	}
}

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7> CreateModuleScope.createTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7
): Table<tUE, Nothing> =
	this.createTable(namespace, name, InlineTableConstructor7(constructor, a1, a2, a3, a4, a5, a6, a7))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7> CreateModuleScope.createSessionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(namespace, name, InlineTableConstructor7(constructor, a1, a2, a3, a4, a5, a6, a7))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7> CreateModuleScope.createTransactionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(namespace, name, InlineTableConstructor7(constructor, a1, a2, a3, a4, a5, a6, a7))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7> CreateModuleScope.createModuleConfiguringScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7
): Table<tUE, Nothing> =
	this.createModuleConfiguringScopeTemporaryTable(namespace, name, InlineTableConstructor7(constructor, a1, a2, a3, a4, a5, a6, a7))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7> Module<*>.createSessionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(name, InlineTableConstructor7(constructor, a1, a2, a3, a4, a5, a6, a7))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7> Module<*>.createTransactionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(name, InlineTableConstructor7(constructor, a1, a2, a3, a4, a5, a6, a7))


public open class InlineTableConstructor8<tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8>(
	private val constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8) -> tUE,
	private val a1: A1, private val a2: A2, private val a3: A3, private val a4: A4, private val a5: A5, private val a6: A6, private val a7: A7, private val a8: A8
) : TableConstructor<tUE> {
	override fun createTable(context: TableConstructor.Scope<tUE>): tUE {
		return this.constructor(context, this.a1, this.a2, this.a3, this.a4, this.a5, this.a6, this.a7, this.a8)
	}
}

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8> CreateModuleScope.createTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8
): Table<tUE, Nothing> =
	this.createTable(namespace, name, InlineTableConstructor8(constructor, a1, a2, a3, a4, a5, a6, a7, a8))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8> CreateModuleScope.createSessionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(namespace, name, InlineTableConstructor8(constructor, a1, a2, a3, a4, a5, a6, a7, a8))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8> CreateModuleScope.createTransactionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(namespace, name, InlineTableConstructor8(constructor, a1, a2, a3, a4, a5, a6, a7, a8))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8> CreateModuleScope.createModuleConfiguringScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8
): Table<tUE, Nothing> =
	this.createModuleConfiguringScopeTemporaryTable(namespace, name, InlineTableConstructor8(constructor, a1, a2, a3, a4, a5, a6, a7, a8))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8> Module<*>.createSessionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(name, InlineTableConstructor8(constructor, a1, a2, a3, a4, a5, a6, a7, a8))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8> Module<*>.createTransactionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(name, InlineTableConstructor8(constructor, a1, a2, a3, a4, a5, a6, a7, a8))

public open class InlineTableConstructor9<tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8, A9>(
	private val constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8, A9) -> tUE,
	private val a1: A1, private val a2: A2, private val a3: A3, private val a4: A4, private val a5: A5, private val a6: A6, private val a7: A7, private val a8: A8, private val a9: A9
) : TableConstructor<tUE> {
	override fun createTable(context: TableConstructor.Scope<tUE>): tUE {
		return this.constructor(context, this.a1, this.a2, this.a3, this.a4, this.a5, this.a6, this.a7, this.a8, this.a9)
	}
}

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8, A9> CreateModuleScope.createTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8, A9) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8, a9: A9
): Table<tUE, Nothing> =
	this.createTable(namespace, name, InlineTableConstructor9(constructor, a1, a2, a3, a4, a5, a6, a7, a8, a9))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8, A9> CreateModuleScope.createSessionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8, A9) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8, a9: A9
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(namespace, name, InlineTableConstructor9(constructor, a1, a2, a3, a4, a5, a6, a7, a8, a9))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8, A9> CreateModuleScope.createTransactionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8, A9) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8, a9: A9
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(namespace, name, InlineTableConstructor9(constructor, a1, a2, a3, a4, a5, a6, a7, a8, a9))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8, A9> CreateModuleScope.createModuleConfiguringScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8, A9) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8, a9: A9
): Table<tUE, Nothing> =
	this.createModuleConfiguringScopeTemporaryTable(namespace, name, InlineTableConstructor9(constructor, a1, a2, a3, a4, a5, a6, a7, a8, a9))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8, A9> Module<*>.createSessionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8, A9) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8, a9: A9
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(name, InlineTableConstructor9(constructor, a1, a2, a3, a4, a5, a6, a7, a8, a9))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8, A9> Module<*>.createTransactionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8, A9) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8, a9: A9
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(name, InlineTableConstructor9(constructor, a1, a2, a3, a4, a5, a6, a7, a8, a9))

public open class InlineTableConstructor10<tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10>(
	private val constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10) -> tUE,
	private val a1: A1, private val a2: A2, private val a3: A3, private val a4: A4, private val a5: A5, private val a6: A6, private val a7: A7, private val a8: A8, private val a9: A9, private val a10: A10
) : TableConstructor<tUE> {
	override fun createTable(context: TableConstructor.Scope<tUE>): tUE {
		return this.constructor(context, this.a1, this.a2, this.a3, this.a4, this.a5, this.a6, this.a7, this.a8, this.a9, this.a10)
	}
}

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10> CreateModuleScope.createTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8, a9: A9, a10: A10
): Table<tUE, Nothing> =
	this.createTable(namespace, name, InlineTableConstructor10(constructor, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10> CreateModuleScope.createSessionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8, a9: A9, a10: A10
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(namespace, name, InlineTableConstructor10(constructor, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10> CreateModuleScope.createTransactionScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8, a9: A9, a10: A10
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(namespace, name, InlineTableConstructor10(constructor, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10> CreateModuleScope.createModuleConfiguringScopeTemporaryTable(
	namespace: Namespace = this.rootNs, name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8, a9: A9, a10: A10
): Table<tUE, Nothing> =
	this.createModuleConfiguringScopeTemporaryTable(namespace, name, InlineTableConstructor10(constructor, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10> Module<*>.createSessionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8, a9: A9, a10: A10
): Table<tUE, Nothing> =
	this.createSessionScopeTemporaryTable(name, InlineTableConstructor10(constructor, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10))

public fun <tUE : Any, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10> Module<*>.createTransactionScopeTemporaryTable(
	name: String, constructor: (TableConstructor.Scope<tUE>, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10) -> tUE,
	a1: A1, a2: A2, a3: A3, a4: A4, a5: A5, a6: A6, a7: A7, a8: A8, a9: A9, a10: A10
): Table<tUE, Nothing> =
	this.createTransactionScopeTemporaryTable(name, InlineTableConstructor10(constructor, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10))
