package ru.landgrafhomyak.db.serdha0.user_commons.reducers

import ru.landgrafhomyak.db.serdha0.api.misc.Reducer
import ru.landgrafhomyak.db.serdha0.api.runtime.InputRow
import ru.landgrafhomyak.db.serdha0.api.runtime.OutputRow
import ru.landgrafhomyak.db.serdha0.user_commons.types.U_INT_64

public class Count private constructor(context: Reducer.Constructor.Scope<Count>) : Reducer.Action<Count> {
	@Suppress("PropertyName", "MemberVisibilityCanBePrivate")
	public val C_Counter: Reducer.OutputColumn<ULong, U_INT_64, Count> = context.outputColumn("counter", context.types.U_INT_64, 0u)

	override fun calculate(acc: OutputRow<Count>, row: OutputRow<Count>, newAcc: InputRow<Count>) {
		newAcc[this.C_Counter] = acc[this.C_Counter] + 1u
	}

	public object Constructor : Reducer.Constructor<Count> {
		override fun createReducer(context: Reducer.Constructor.Scope<Count>): Reducer.Action<Count> =
			Count(context)
	}
}