package ru.landgrafhomyak.db.serdha0.user_commons.reducers

import ru.landgrafhomyak.db.serdha0.api.misc.DatabaseType
import ru.landgrafhomyak.db.serdha0.api.misc.Reducer
import ru.landgrafhomyak.db.serdha0.api.runtime.InputRow
import ru.landgrafhomyak.db.serdha0.api.runtime.OutputRow

public class Max<RT, DT : DatabaseType._VirtualType<RT, *, *>> private constructor(
	context: Reducer.Constructor.Scope<Max<RT, DT>>,
	private val _type: DT
) : Reducer.Action<Max<RT, DT>> {
	@Suppress("PropertyName", "MemberVisibilityCanBePrivate")
	public val C_MaxValue: Reducer.BidirectionalColumn<RT, DT, Max<RT, DT>> = context.bidirectionalColumn("max_value", this._type)

	override fun calculate(acc: OutputRow<Max<RT, DT>>, row: OutputRow<Max<RT, DT>>, newAcc: InputRow<Max<RT, DT>>) {
		val accumulatedValue = acc[this.C_MaxValue]
		val newValue = row[this.C_MaxValue]
		if (this._type._compare(accumulatedValue, newValue) < 0)
			newAcc[this.C_MaxValue] = newValue
		else
			newAcc[this.C_MaxValue] = accumulatedValue
	}

	public class Constructor<RT, DT : DatabaseType._VirtualType<RT, *, *>>(private val type: DT) : Reducer.Constructor<Max<RT, DT>> {
		override fun createReducer(context: Reducer.Constructor.Scope<Max<RT, DT>>): Reducer.Action<Max<RT, DT>> =
			Max(context, this.type)
	}
}