package ru.landgrafhomyak.db.serdha0.user_commons.reducers

import ru.landgrafhomyak.db.serdha0.api.misc.DatabaseType
import ru.landgrafhomyak.db.serdha0.api.misc.Reducer
import ru.landgrafhomyak.db.serdha0.api.runtime.InputRow
import ru.landgrafhomyak.db.serdha0.api.runtime.OutputRow

public class Min<RT, DT : DatabaseType._VirtualType<RT, *, *>> private constructor(
	context: Reducer.Constructor.Scope<Min<RT, DT>>,
	private val _type: DT
) : Reducer.Action<Min<RT, DT>> {
	@Suppress("PropertyName", "MemberVisibilityCanBePrivate")
	public val C_MinValue: Reducer.BidirectionalColumn<RT, DT, Min<RT, DT>> = context.bidirectionalColumn("min_value", this._type)

	override fun calculate(acc: OutputRow<Min<RT, DT>>, row: OutputRow<Min<RT, DT>>, newAcc: InputRow<Min<RT, DT>>) {
		val accumulatedValue = acc[this.C_MinValue]
		val newValue = row[this.C_MinValue]
		if (this._type._compare(accumulatedValue, newValue) > 0)
			newAcc[this.C_MinValue] = newValue
		else
			newAcc[this.C_MinValue] = accumulatedValue
	}

	public class Constructor<RT, DT : DatabaseType._VirtualType<RT, *, *>>(private val type: DT) : Reducer.Constructor<Min<RT, DT>> {
		override fun createReducer(context: Reducer.Constructor.Scope<Min<RT, DT>>): Reducer.Action<Min<RT, DT>> =
			Min(context, this.type)
	}
}